from parallels.core.utils.entity import Entity


class Subscription(Entity):
    def __init__(self, subscription_id, object_id, object_type):
        self._subscription_id = subscription_id
        self._object_id = object_id
        self._object_type = object_type

    @property
    def subscription_id(self):
        """
        :rtype: str | unicode
        """
        return self._subscription_id

    @property
    def object_id(self):
        """
        :rtype: str | unicode
        """
        return self._object_id

    @property
    def object_type(self):
        """
        :rtype: str | unicode
        """
        return self._object_type
